package de.intevation.artifacts;

import java.io.Serializable;

import org.w3c.dom.Document;
import org.w3c.dom.Node;
/**
 * @author <a href="mailto:sascha.teichmann@intevation.de">Sascha L. Teichmann</a>
 */
public interface ServiceFactory
extends          Serializable
{
    String getName();

    String getDescription();

    Service createService(Object globalContext);

    void setup(Document config, Node factoryNode);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
